<template>
  <el-card style="width: 100%;" shadow="never">
    <el-row class="c-topic" v-for="(topic,index) in topList" :key="index">
        <el-col :span="2">
            <el-avatar shape="square" :size="50" :src="topic.avater" />
        </el-col>
        <el-col :span="19" class="c-text-cont">
        <div class="t-name">{{ topic.name}}</div>
        <div class="t-comt">{{ topic.cont}}</div>
        </el-col>
        <el-col :span="3">
            <el-button type="primary" round>关注</el-button>
            <!-- <el-button type="info" round>已关注</el-button> -->
        </el-col>
    </el-row>
    <el-row class="t-prompt flexs">
        <div class="p-prompt">没有更多数据了</div>
    </el-row>
  </el-card>
</template>

<script lang="ts" setup>
import { reactive, ref,onMounted } from "vue";
onMounted(() => {
    
})
const topList = reactive([
        {
            name:'枫原万叶',
            avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            cont:'原神游戏人物，枫原万叶'
        },
        {
            name:'枫原',
            avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            cont:'原神游戏人物，枫原万叶'
        },
        {
            name:'叶宝',
            avater:'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg',
            cont:'万叶单推人专用话题qwq'
        },
        ])
</script>

<style lang="less" scoped>
.c-topic{
    padding: 10px;
    border-bottom: 1px #dcdcdc solid;
    .c-text-cont{
        display: flex;
        justify-content: center;
        flex-direction: column;
        align-content: center;
        .t-comt{
            color: #999;
            padding: 5px 0;
            font-size: 15px;
        }
    }
}
.t-prompt{
    height: 60px;
    width: 100%;
    .p-prompt{
        color: #999;
        font-size: 18px;
        letter-spacing: 1px;
    }
}
</style>